diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/upgrade.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/upgrade.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 123,190 ****
  	$wpdb->insert( $wpdb->term_taxonomy, array('term_id' => $cat_id, 'taxonomy' => 'category', 'description' => '', 'parent' => 0, 'count' => 1));
  	$cat_tt_id = $wpdb->insert_id;
  
- 	// Default link category
- 	$cat_name = __('Blogroll');
- 	/* translators: Default link category slug */
- 	$cat_slug = sanitize_title(_x('Blogroll', 'Default link category slug'));
- 
- 	if ( global_terms_enabled() ) {
- 		$blogroll_id = $wpdb->get_var( $wpdb->prepare( "SELECT cat_ID FROM {$wpdb->sitecategories} WHERE category_nicename = %s", $cat_slug ) );
- 		if ( $blogroll_id == null ) {
- 			$wpdb->insert( $wpdb->sitecategories, array('cat_ID' => 0, 'cat_name' => $cat_name, 'category_nicename' => $cat_slug, 'last_updated' => current_time('mysql', true)) );
- 			$blogroll_id = $wpdb->insert_id;
- 		}
- 		update_option('default_link_category', $blogroll_id);
- 	} else {
- 		$blogroll_id = 2;
- 	}
- 
- 	$wpdb->insert( $wpdb->terms, array('term_id' => $blogroll_id, 'name' => $cat_name, 'slug' => $cat_slug, 'term_group' => 0) );
- 	$wpdb->insert( $wpdb->term_taxonomy, array('term_id' => $blogroll_id, 'taxonomy' => 'link_category', 'description' => '', 'parent' => 0, 'count' => 7));
- 	$blogroll_tt_id = $wpdb->insert_id;
- 
- 	// Now drop in some default links
- 	$default_links = array();
- 	$default_links[] = array(	'link_url' => __( 'http://codex.wordpress.org/' ),
- 								'link_name' => __( 'Documentation' ),
- 								'link_rss' => '',
- 								'link_notes' => '');
- 
- 	$default_links[] = array(	'link_url' => __( 'http://wordpress.org/news/' ),
- 								'link_name' => __( 'WordPress Blog' ),
- 								'link_rss' => __( 'http://wordpress.org/news/feed/' ),
- 								'link_notes' => '');
- 
- 	$default_links[] = array(	'link_url' => __( 'http://wordpress.org/support/' ),
- 								'link_name' => _x( 'Support Forums', 'default link' ),
- 								'link_rss' => '',
- 								'link_notes' =>'');
- 
- 	$default_links[] = array(	'link_url' => 'http://wordpress.org/extend/plugins/',
- 								'link_name' => _x( 'Plugins', 'Default link to wordpress.org/extend/plugins/' ),
- 								'link_rss' => '',
- 								'link_notes' =>'');
- 
- 	$default_links[] = array(	'link_url' => 'http://wordpress.org/extend/themes/',
- 								'link_name' => _x( 'Themes', 'Default link to wordpress.org/extend/themes/' ),
- 								'link_rss' => '',
- 								'link_notes' =>'');
- 
- 	$default_links[] = array(	'link_url' => __( 'http://wordpress.org/support/forum/requests-and-feedback' ),
- 								'link_name' => __( 'Feedback' ),
- 								'link_rss' => '',
- 								'link_notes' =>'');
- 
- 	$default_links[] = array(	'link_url' => __( 'http://planet.wordpress.org/' ),
- 								'link_name' => __( 'WordPress Planet' ),
- 								'link_rss' => '',
- 								'link_notes' =>'');
- 
- 	foreach ( $default_links as $link ) {
- 		$wpdb->insert( $wpdb->links, $link);
- 		$wpdb->insert( $wpdb->term_relationships, array('term_taxonomy_id' => $blogroll_tt_id, 'object_id' => $wpdb->insert_id) );
- 	}
- 
  	// First post
  	$now = date('Y-m-d H:i:s');
  	$now_gmt = gmdate('Y-m-d H:i:s');
--- 123,128 ----
***************
*** 224,230 ****
  	// Default comment
  	$first_comment_author = __('Mr WordPress');
  	$first_comment_url = 'http://wordpress.org/';
! 	$first_comment = __('Hi, this is a comment.<br />To delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.');
  	if ( is_multisite() ) {
  		$first_comment_author = get_site_option( 'first_comment_author', $first_comment_author );
  		$first_comment_url = get_site_option( 'first_comment_url', network_home_url() );
--- 162,169 ----
  	// Default comment
  	$first_comment_author = __('Mr WordPress');
  	$first_comment_url = 'http://wordpress.org/';
! 	$first_comment = __('Hi, this is a comment.
! To delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.');
  	if ( is_multisite() ) {
  		$first_comment_author = get_site_option( 'first_comment_author', $first_comment_author );
  		$first_comment_url = get_site_option( 'first_comment_url', network_home_url() );
***************
*** 247,253 ****
  
  ...or something like this:
  
! <blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickies to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>
  
  As a new WordPress user, you should go to <a href=\"%s\">your dashboard</a> to delete this page and create new pages for your content. Have fun!" ), admin_url() );
  	if ( is_multisite() )
--- 186,192 ----
  
  ...or something like this:
  
! <blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>
  
  As a new WordPress user, you should go to <a href=\"%s\">your dashboard</a> to delete this page and create new pages for your content. Have fun!" ), admin_url() );
  	if ( is_multisite() )
***************
*** 279,285 ****
  	update_option( 'widget_archives', array ( 2 => array ( 'title' => '', 'count' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_categories', array ( 2 => array ( 'title' => '', 'count' => 0, 'hierarchical' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_meta', array ( 2 => array ( 'title' => '' ), '_multiwidget' => 1 ) );
! 	update_option( 'sidebars_widgets', array ( 'wp_inactive_widgets' => array ( ), 'sidebar-1' => array ( 0 => 'search-2', 1 => 'recent-posts-2', 2 => 'recent-comments-2', 3 => 'archives-2', 4 => 'categories-2', 5 => 'meta-2', ), 'sidebar-2' => array ( ), 'sidebar-3' => array ( ), 'sidebar-4' => array ( ), 'sidebar-5' => array ( ), 'array_version' => 3 ) );
  
  	if ( ! is_multisite() )
  		update_user_meta( $user_id, 'show_welcome_panel', 1 );
--- 218,224 ----
  	update_option( 'widget_archives', array ( 2 => array ( 'title' => '', 'count' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_categories', array ( 2 => array ( 'title' => '', 'count' => 0, 'hierarchical' => 0, 'dropdown' => 0 ), '_multiwidget' => 1 ) );
  	update_option( 'widget_meta', array ( 2 => array ( 'title' => '' ), '_multiwidget' => 1 ) );
! 	update_option( 'sidebars_widgets', array ( 'wp_inactive_widgets' => array ( ), 'sidebar-1' => array ( 0 => 'search-2', 1 => 'recent-posts-2', 2 => 'recent-comments-2', 3 => 'archives-2', 4 => 'categories-2', 5 => 'meta-2', ), 'sidebar-2' => array ( ), 'sidebar-3' => array ( ), 'array_version' => 3 ) );
  
  	if ( ! is_multisite() )
  		update_user_meta( $user_id, 'show_welcome_panel', 1 );
***************
*** 319,325 ****
   * @param string $password User's Password.
   */
  function wp_new_blog_notification($blog_title, $blog_url, $user_id, $password) {
! 	$user = new WP_User($user_id);
  	$email = $user->user_email;
  	$name = $user->user_login;
  	$message = sprintf(__("Your new WordPress site has been successfully set up at:
--- 258,264 ----
   * @param string $password User's Password.
   */
  function wp_new_blog_notification($blog_title, $blog_url, $user_id, $password) {
! 	$user = new WP_User( $user_id );
  	$email = $user->user_email;
  	$name = $user->user_login;
  	$message = sprintf(__("Your new WordPress site has been successfully set up at:
***************
*** 460,465 ****
--- 399,409 ----
  	if ( $wp_current_db_version < 20080 )
  		upgrade_340();
  
+ 	if ( $wp_current_db_version < 22422 )
+ 		upgrade_350();
+ 
+ 	maybe_disable_link_manager();
+ 
  	maybe_disable_automattic_widgets();
  
  	update_option( 'db_version', $wp_db_version );
***************
*** 567,577 ****
  	$time_difference = $all_options->time_difference;
  
  		$server_time = time()+date('Z');
! 	$weblogger_time = $server_time + $time_difference*3600;
  	$gmt_time = time();
  
! 	$diff_gmt_server = ($gmt_time - $server_time) / 3600;
! 	$diff_weblogger_server = ($weblogger_time - $server_time) / 3600;
  	$diff_gmt_weblogger = $diff_gmt_server - $diff_weblogger_server;
  	$gmt_offset = -$diff_gmt_weblogger;
  
--- 511,521 ----
  	$time_difference = $all_options->time_difference;
  
  		$server_time = time()+date('Z');
! 	$weblogger_time = $server_time + $time_difference * HOUR_IN_SECONDS;
  	$gmt_time = time();
  
! 	$diff_gmt_server = ($gmt_time - $server_time) / HOUR_IN_SECONDS;
! 	$diff_weblogger_server = ($weblogger_time - $server_time) / HOUR_IN_SECONDS;
  	$diff_gmt_weblogger = $diff_gmt_server - $diff_weblogger_server;
  	$gmt_offset = -$diff_gmt_weblogger;
  
***************
*** 1050,1060 ****
  
  	if ( $wp_current_db_version < 8000 )
  		populate_roles_260();
- 
- 	if ( $wp_current_db_version < 8201 ) {
- 		update_option('enable_app', 1);
- 		update_option('enable_xmlrpc', 1);
- 	}
  }
  
  /**
--- 994,999 ----
***************
*** 1243,1248 ****
--- 1182,1214 ----
  }
  
  /**
+  * Execute changes made in WordPress 3.5.
+  *
+  * @since 3.5.0
+  */
+ function upgrade_350() {
+ 	global $wp_current_db_version, $wpdb;
+ 
+ 	if ( $wp_current_db_version < 22006 && $wpdb->get_var( "SELECT link_id FROM $wpdb->links LIMIT 1" ) )
+ 		update_option( 'link_manager_enabled', 1 ); // Previously set to 0 by populate_options()
+ 
+ 	if ( $wp_current_db_version < 21811 && is_main_site() && ! defined( 'DO_NOT_UPGRADE_GLOBAL_TABLES' ) ) {
+ 		$meta_keys = array();
+ 		foreach ( array_merge( get_post_types(), get_taxonomies() ) as $name ) {
+ 			if ( false !== strpos( $name, '-' ) )
+ 			$meta_keys[] = 'edit_' . str_replace( '-', '_', $name ) . '_per_page';
+ 		}
+ 		if ( $meta_keys ) {
+ 			$meta_keys = implode( "', '", $meta_keys );
+ 			$wpdb->query( "DELETE FROM $wpdb->usermeta WHERE meta_key IN ('$meta_keys')" );
+ 		}
+ 	}
+ 
+ 	if ( $wp_current_db_version < 22422 && $term = get_term_by( 'slug', 'post-format-standard', 'post_format' ) )
+ 		wp_delete_term( $term->term_id, 'post_format' );
+ }
+ 
+ /**
   * Execute network level changes
   *
   * @since 3.0.0
***************
*** 1307,1312 ****
--- 1273,1282 ----
  			delete_site_option( 'allowed_themes' );
  		}
  	}
+ 
+ 	// 3.5
+ 	if ( $wp_current_db_version < 21823 )
+ 		update_site_option( 'ms_files_rewriting', '1' );
  }
  
  // The functions we use to actually do stuff
***************
*** 1954,1962 ****
  }
  
  /**
!  * {@internal Missing Short Description}}
!  *
!  * {@internal Missing Long Description}}
   *
   * @since 2.2.0
   */
--- 1924,1930 ----
  }
  
  /**
!  * Disables the Automattic widgets plugin, which was merged into core.
   *
   * @since 2.2.0
   */
***************
*** 1973,1978 ****
--- 1941,1958 ----
  }
  
  /**
+  * Disables the Link Manager on upgrade, if at the time of upgrade, no links exist in the DB.
+  *
+  * @since 3.5.0
+  */
+ function maybe_disable_link_manager() {
+ 	global $wp_current_db_version, $wpdb;
+ 
+ 	if ( $wp_current_db_version >= 22006 && get_option( 'link_manager_enabled' ) && ! $wpdb->get_var( "SELECT link_id FROM $wpdb->links LIMIT 1" ) )
+ 		update_option( 'link_manager_enabled', 0 );
+ }
+ 
+ /**
   * Runs before the schema is upgraded.
   *
   * @since 2.9.0
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/user.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/user.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/user.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/user.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 69,75 ****
  			$user->user_url = '';
  		} else {
  			$user->user_url = esc_url_raw( $_POST['url'] );
! 			$user->user_url = preg_match('/^(https?|ftps?|mailto|news|irc|gopher|nntp|feed|telnet):/is', $user->user_url) ? $user->user_url : 'http://'.$user->user_url;
  		}
  	}
  	if ( isset( $_POST['first_name'] ) )
--- 69,76 ----
  			$user->user_url = '';
  		} else {
  			$user->user_url = esc_url_raw( $_POST['url'] );
! 			$protocols = implode( '|', array_map( 'preg_quote', wp_allowed_protocols() ) );
! 			$user->user_url = preg_match('/^(' . $protocols . '):/is', $user->user_url) ? $user->user_url : 'http://'.$user->user_url;
  		}
  	}
  	if ( isset( $_POST['first_name'] ) )
***************
*** 143,149 ****
  	if ( empty( $user->user_email ) ) {
  		$errors->add( 'empty_email', __( '<strong>ERROR</strong>: Please enter an e-mail address.' ), array( 'form-field' => 'email' ) );
  	} elseif ( !is_email( $user->user_email ) ) {
! 		$errors->add( 'invalid_email', __( '<strong>ERROR</strong>: The e-mail address isn&#8217;t correct.' ), array( 'form-field' => 'email' ) );
  	} elseif ( ( $owner_id = email_exists($user->user_email) ) && ( !$update || ( $owner_id != $user->ID ) ) ) {
  		$errors->add( 'email_exists', __('<strong>ERROR</strong>: This email is already registered, please choose another one.'), array( 'form-field' => 'email' ) );
  	}
--- 144,150 ----
  	if ( empty( $user->user_email ) ) {
  		$errors->add( 'empty_email', __( '<strong>ERROR</strong>: Please enter an e-mail address.' ), array( 'form-field' => 'email' ) );
  	} elseif ( !is_email( $user->user_email ) ) {
! 		$errors->add( 'invalid_email', __( '<strong>ERROR</strong>: The email address isn&#8217;t correct.' ), array( 'form-field' => 'email' ) );
  	} elseif ( ( $owner_id = email_exists($user->user_email) ) && ( !$update || ( $owner_id != $user->ID ) ) ) {
  		$errors->add( 'email_exists', __('<strong>ERROR</strong>: This email is already registered, please choose another one.'), array( 'form-field' => 'email' ) );
  	}
***************
*** 155,163 ****
  		return $errors;
  
  	if ( $update ) {
! 		$user_id = wp_update_user( get_object_vars( $user ) );
  	} else {
! 		$user_id = wp_insert_user( get_object_vars( $user ) );
  		wp_new_user_notification( $user_id, isset($_POST['send_password']) ? $pass1 : '' );
  	}
  	return $user_id;
--- 156,164 ----
  		return $errors;
  
  	if ( $update ) {
! 		$user_id = wp_update_user( $user );
  	} else {
! 		$user_id = wp_insert_user( $user );
  		wp_new_user_notification( $user_id, isset($_POST['send_password']) ? $pass1 : '' );
  	}
  	return $user_id;
***************
*** 197,203 ****
   * @return object WP_User object with user data.
   */
  function get_user_to_edit( $user_id ) {
! 	$user = new WP_User( $user_id );
  
  	$user->filter = 'edit';
  
--- 198,204 ----
   * @return object WP_User object with user data.
   */
  function get_user_to_edit( $user_id ) {
! 	$user = get_userdata( $user_id );
  
  	$user->filter = 'edit';
  
***************
*** 269,276 ****
--- 270,287 ----
  		}
  	} else {
  		$reassign = (int) $reassign;
+ 		$post_ids = $wpdb->get_col( $wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE post_author = %d", $id ) );
  		$wpdb->update( $wpdb->posts, array('post_author' => $reassign), array('post_author' => $id) );
+ 		if ( ! empty( $post_ids ) ) {
+ 			foreach ( $post_ids as $post_id )
+ 				clean_post_cache( $post_id );
+ 		}
+ 		$link_ids = $wpdb->get_col( $wpdb->prepare("SELECT link_id FROM $wpdb->links WHERE link_owner = %d", $id) );
  		$wpdb->update( $wpdb->links, array('link_owner' => $reassign), array('link_owner' => $id) );
+ 		if ( ! empty( $link_ids ) ) {
+ 			foreach ( $link_ids as $link_id )
+ 				clean_bookmark_cache( $link_id );
+ 		}
  	}
  
  	// FINALLY, delete user
***************
*** 352,358 ****
  	echo '<strong>' . __('Notice:') . '</strong> ';
  	_e('You&rsquo;re using the auto-generated password for your account. Would you like to change it to something easier to remember?');
  	echo '</p><p>';
! 	printf( '<a href="%s">' . __('Yes, take me to my profile page') . '</a> | ', admin_url('profile.php') . '#password' );
  	printf( '<a href="%s" id="default-password-nag-no">' . __('No thanks, do not remind me again') . '</a>', '?default_password_nag=0' );
  	echo '</p></div>';
  }
--- 363,369 ----
  	echo '<strong>' . __('Notice:') . '</strong> ';
  	_e('You&rsquo;re using the auto-generated password for your account. Would you like to change it to something easier to remember?');
  	echo '</p><p>';
! 	printf( '<a href="%s">' . __('Yes, take me to my profile page') . '</a> | ', get_edit_profile_url( get_current_user_id() ) . '#password' );
  	printf( '<a href="%s" id="default-password-nag-no">' . __('No thanks, do not remind me again') . '</a>', '?default_password_nag=0' );
  	echo '</p></div>';
  }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/widgets.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/widgets.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/widgets.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 179,185 ****
  	<div class="widget-top">
  	<div class="widget-title-action">
  		<a class="widget-action hide-if-no-js" href="#available-widgets"></a>
! 		<a class="widget-control-edit hide-if-js" href="<?php echo esc_url( add_query_arg( $query_arg ) ); ?>"><span class="edit"><?php _e('Edit'); ?></span><span class="add"><?php _e('Add'); ?></span></a>
  	</div>
  	<div class="widget-title"><h4><?php echo $widget_title ?><span class="in-widget-title"></span></h4></div>
  	</div>
--- 179,189 ----
  	<div class="widget-top">
  	<div class="widget-title-action">
  		<a class="widget-action hide-if-no-js" href="#available-widgets"></a>
! 		<a class="widget-control-edit hide-if-js" href="<?php echo esc_url( add_query_arg( $query_arg ) ); ?>">
! 			<span class="edit"><?php _ex( 'Edit', 'widget' ); ?></span>
! 			<span class="add"><?php _ex( 'Add', 'widget' ); ?></span>
! 			<span class="screen-reader-text"><?php echo $widget_title; ?></span>
! 		</a>
  	</div>
  	<div class="widget-title"><h4><?php echo $widget_title ?><span class="in-widget-title"></span></h4></div>
  	</div>
***************
*** 207,214 ****
  		<a class="widget-control-close" href="#close"><?php _e('Close'); ?></a>
  		</div>
  		<div class="alignright<?php if ( 'noform' === $has_form ) echo ' widget-control-noform'; ?>">
! 		<img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-feedback" title="" alt="" />
! 		<?php submit_button( __( 'Save' ), 'button-primary widget-control-save', 'savewidget', false, array( 'id' => 'widget-' . esc_attr( $id_format ) . '-savewidget' ) ); ?>
  		</div>
  		<br class="clear" />
  	</div>
--- 211,218 ----
  		<a class="widget-control-close" href="#close"><?php _e('Close'); ?></a>
  		</div>
  		<div class="alignright<?php if ( 'noform' === $has_form ) echo ' widget-control-noform'; ?>">
! 			<?php submit_button( __( 'Save' ), 'button-primary widget-control-save right', 'savewidget', false, array( 'id' => 'widget-' . esc_attr( $id_format ) . '-savewidget' ) ); ?>
! 			<span class="spinner"></span>
  		</div>
  		<br class="clear" />
  	</div>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/index.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/index.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/index.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 17,24 ****
  wp_dashboard_setup();
  
  wp_enqueue_script( 'dashboard' );
! wp_enqueue_script( 'plugin-install' );
! wp_enqueue_script( 'media-upload' );
  add_thickbox();
  
  if ( wp_is_mobile() )
--- 17,28 ----
  wp_dashboard_setup();
  
  wp_enqueue_script( 'dashboard' );
! if ( current_user_can( 'edit_theme_options' ) )
! 	wp_enqueue_script( 'customize-loader' );
! if ( current_user_can( 'install_plugins' ) )
! 	wp_enqueue_script( 'plugin-install' );
! if ( current_user_can( 'upload_files' ) )
! 	wp_enqueue_script( 'media-upload' );
  add_thickbox();
  
  if ( wp_is_mobile() )
***************
*** 57,63 ****
  $help  = '<p>' . __('You can use the following controls to arrange your Dashboard screen to suit your workflow. This is true on most other administration screens as well.') . '</p>';
  $help .= '<p>' . __('<strong>Screen Options</strong> - Use the Screen Options tab to choose which Dashboard boxes to show, and how many columns to display.') . '</p>';
  $help .= '<p>' . __('<strong>Drag and Drop</strong> - To rearrange the boxes, drag and drop by clicking on the title bar of the selected box and releasing when you see a gray dotted-line rectangle appear in the location you want to place the box.') . '</p>';
! $help .= '<p>' . __('<strong>Box Controls</strong> - Click the title bar of the box to expand or collapse it. In addition, some box have configurable content, and will show a &#8220;Configure&#8221; link in the title bar if you hover over it.') . '</p>';
  
  $screen->add_help_tab( array(
  	'id'      => 'help-layout',
--- 61,67 ----
  $help  = '<p>' . __('You can use the following controls to arrange your Dashboard screen to suit your workflow. This is true on most other administration screens as well.') . '</p>';
  $help .= '<p>' . __('<strong>Screen Options</strong> - Use the Screen Options tab to choose which Dashboard boxes to show, and how many columns to display.') . '</p>';
  $help .= '<p>' . __('<strong>Drag and Drop</strong> - To rearrange the boxes, drag and drop by clicking on the title bar of the selected box and releasing when you see a gray dotted-line rectangle appear in the location you want to place the box.') . '</p>';
! $help .= '<p>' . __('<strong>Box Controls</strong> - Click the title bar of the box to expand or collapse it. In addition, some boxes have configurable content, and will show a &#8220;Configure&#8221; link in the title bar if you hover over it.') . '</p>';
  
  $screen->add_help_tab( array(
  	'id'      => 'help-layout',
***************
*** 72,78 ****
  	$help .= '<p>' . __('<strong>Recent Comments</strong> - Shows the most recent comments on your posts (configurable, up to 30) and allows you to moderate them.') . '</p>';
  if ( current_user_can( 'publish_posts' ) )
  	$help .= '<p>' . __('<strong>Incoming Links</strong> - Shows links to your site found by Google Blog Search.') . '</p>';
! if ( current_user_can( 'edit_posts' ) ) {
  	$help .= '<p>' . __('<strong>QuickPress</strong> - Allows you to create a new post and either publish it or save it as a draft.') . '</p>';
  	$help .= '<p>' . __('<strong>Recent Drafts</strong> - Displays links to the 5 most recent draft posts you&#8217;ve started.') . '</p>';
  }
--- 76,82 ----
  	$help .= '<p>' . __('<strong>Recent Comments</strong> - Shows the most recent comments on your posts (configurable, up to 30) and allows you to moderate them.') . '</p>';
  if ( current_user_can( 'publish_posts' ) )
  	$help .= '<p>' . __('<strong>Incoming Links</strong> - Shows links to your site found by Google Blog Search.') . '</p>';
! if ( current_user_can( get_post_type_object( 'post' )->cap->create_posts ) ) {
  	$help .= '<p>' . __('<strong>QuickPress</strong> - Allows you to create a new post and either publish it or save it as a draft.') . '</p>';
  	$help .= '<p>' . __('<strong>Recent Drafts</strong> - Displays links to the 5 most recent draft posts you&#8217;ve started.') . '</p>';
  }
***************
*** 106,112 ****
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
! <?php wp_welcome_panel(); ?>
  
  <div id="dashboard-widgets-wrap">
  
--- 110,130 ----
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
! <?php if ( has_action( 'welcome_panel' ) && current_user_can( 'edit_theme_options' ) ) :
! 	$classes = 'welcome-panel';
! 
! 	$option = get_user_meta( get_current_user_id(), 'show_welcome_panel', true );
! 	// 0 = hide, 1 = toggled to show or single site creator, 2 = multisite site owner
! 	$hide = 0 == $option || ( 2 == $option && wp_get_current_user()->user_email != get_option( 'admin_email' ) );
! 	if ( $hide )
! 		$classes .= ' hidden'; ?>
! 
!  	<div id="welcome-panel" class="<?php echo esc_attr( $classes ); ?>">
!  		<?php wp_nonce_field( 'welcome-panel-nonce', 'welcomepanelnonce', false ); ?>
! 		<a class="welcome-panel-close" href="<?php echo esc_url( admin_url( '?welcome=0' ) ); ?>"><?php _e( 'Dismiss' ); ?></a>
! 		<?php do_action( 'welcome_panel' ); ?>
! 	</div>
! <?php endif; ?>
  
  <div id="dashboard-widgets-wrap">
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/install.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/install.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/install.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 15,22 ****
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title>Error: PHP is not running</title>
  </head>
! <body>
! 	<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  	<h2>Error: PHP is not running</h2>
  	<p>WordPress requires that your web server is running PHP. Your server does not have PHP installed, or PHP is turned off.</p>
  </body>
--- 15,22 ----
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title>Error: PHP is not running</title>
  </head>
! <body class="wp-core-ui">
! 	<h1 id="logo"><a href="http://wordpress.org/">WordPress</a></h1>
  	<h2>Error: PHP is not running</h2>
  	<p>WordPress requires that your web server is running PHP. Your server does not have PHP installed, or PHP is turned off.</p>
  </body>
***************
*** 58,67 ****
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title><?php _e( 'WordPress &rsaquo; Installation' ); ?></title>
! 	<?php wp_admin_css( 'install', true ); ?>
  </head>
! <body<?php if ( is_rtl() ) echo ' class="rtl"'; ?>>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  
  <?php
  } // end display_header()
--- 58,69 ----
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title><?php _e( 'WordPress &rsaquo; Installation' ); ?></title>
! 	<?php
! 	wp_admin_css( 'install', true );
! 	?>
  </head>
! <body class="wp-core-ui<?php if ( is_rtl() ) echo ' rtl'; ?>">
! <h1 id="logo"><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>"><?php _e( 'WordPress' ); ?></a></h1>
  
  <?php
  } // end display_header()
***************
*** 134,140 ****
  			<td colspan="2"><label><input type="checkbox" name="blog_public" value="1" <?php checked( $blog_public ); ?> /> <?php _e( 'Allow search engines to index this site.' ); ?></label></td>
  		</tr>
  	</table>
! 	<p class="step"><input type="submit" name="Submit" value="<?php esc_attr_e( 'Install WordPress' ); ?>" class="button" /></p>
  </form>
  <?php
  } // end display_setup_form()
--- 136,142 ----
  			<td colspan="2"><label><input type="checkbox" name="blog_public" value="1" <?php checked( $blog_public ); ?> /> <?php _e( 'Allow search engines to index this site.' ); ?></label></td>
  		</tr>
  	</table>
! 	<p class="step"><input type="submit" name="Submit" value="<?php esc_attr_e( 'Install WordPress' ); ?>" class="button button-large" /></p>
  </form>
  <?php
  } // end display_setup_form()
***************
*** 142,148 ****
  // Let's check to make sure WP isn't already installed.
  if ( is_blog_installed() ) {
  	display_header();
! 	die( '<h1>' . __( 'Already Installed' ) . '</h1><p>' . __( 'You appear to have already installed WordPress. To reinstall please clear your old database tables first.' ) . '</p><p class="step"><a href="../wp-login.php" class="button">' . __('Log In') . '</a></p></body></html>' );
  }
  
  $php_version    = phpversion();
--- 144,150 ----
  // Let's check to make sure WP isn't already installed.
  if ( is_blog_installed() ) {
  	display_header();
! 	die( '<h1>' . __( 'Already Installed' ) . '</h1><p>' . __( 'You appear to have already installed WordPress. To reinstall please clear your old database tables first.' ) . '</p><p class="step"><a href="../wp-login.php" class="button button-large">' . __( 'Log In' ) . '</a></p></body></html>' );
  }
  
  $php_version    = phpversion();
***************
*** 241,247 ****
  	</tr>
  </table>
  
! <p class="step"><a href="../wp-login.php" class="button"><?php _e( 'Log In' ); ?></a></p>
  
  <?php
  		}
--- 243,249 ----
  	</tr>
  </table>
  
! <p class="step"><a href="../wp-login.php" class="button button-large"><?php _e( 'Log In' ); ?></a></p>
  
  <?php
  		}
